--[[-------------------------------------------------------------------------
-- ClosetGnome_Switcher - Swaps your set to match buff names. Can be easily
--   used to enable special outfits for stances and shapeshift forms.
--
--  by PProvost
--
--  Last Modified: $Date: 2006-10-08 03:54:04 -0700 (Sun, 08 Oct 2006) $
--  Revision: $Revision: 13338 $
--
-- TODO:
--   * Probably should add explicit support for certain forms, but
--     this naive implementation works for now. :)
--
--  Known Bugs:
--  * N/A
--]]-------------------------------------------------------------------------


--[[ Local Constants ]]
local MAJOR_VERSION = "0.1"
local MINOR_VERSION = tonumber((string.gsub("$Revision: 13338 $", "^.-(%d+).-$", "%1")))

--[[ Utility Libraries ]]
local L = AceLibrary("AceLocale-2.0"):new("ClosetGnomeSwitcher")
local Babble = AceLibrary("Babble-Spell-2.0")

--[[ Initialize Addon instance ]]
ClosetGnomeSwitcher = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0")
ClosetGnomeSwitcher.version = MAJOR_VERSION .. "." .. MINOR_VERSION
ClosetGnomeSwitcher.date = string.gsub("$Date: 2006-10-08 03:54:04 -0700 (Sun, 08 Oct 2006) $", "^.-(%d%d%d%d%-%d%d%-%d%d).-$", "%1")

function ClosetGnomeSwitcher:OnInitialize()
end

function ClosetGnomeSwitcher:OnEnable()
	self:RegisterEvent("SpecialEvents_PlayerBuffGained") 
	self:RegisterEvent("SpecialEvents_PlayerBuffLost") 
end

function ClosetGnomeSwitcher:SpecialEvents_PlayerBuffGained(buffName, buffIndex) 
	local setName = string.gsub(buffName, " ", "_")
	self:WearSet(setName)
end

function ClosetGnomeSwitcher:SpecialEvents_PlayerBuffLost(buffName)
	self:WearSet("Normal")
end

function ClosetGnomeSwitcher:WearSet(setName)
	if ClosetGnome:HasSet(setName) and not ClosetGnome:IsSetFullyEquipped(setName) then
		ClosetGnome:WearSet(setName)
	end
end
